Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 356625 - mathmap-1.3.5 ebuild request
Summary: mathmap-1.3.5 ebuild request
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement with 1 vote (vote)
Assignee: Default Assignee for New Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-26 21:44 UTC by DrSlony
Modified: 2014-11-18 06:53 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description DrSlony 2011-02-26 21:44:28 UTC
Version 1.3.5 of Mathmap, an image processing application, has been released.
http://www.complang.tuwien.ac.at/schani/mathmap/

There is an ebuild for mathmap-1.3.2 in the ikelos overlay, but it doesn't work for 1.3.5. Here is the build log: http://pastebin.com/AyYTB58n
A functioning ebuild for 1.3.5 would be much appreciated.

Reproducible: Always
Comment 1 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2011-02-28 16:40:36 UTC
@ikelos:

interested?
Comment 2 Mike Auty (RETIRED) gentoo-dev 2011-02-28 17:41:37 UTC
Not for the main tree, I was just interested in seeing what it could do (and haven't touched it in years, which is why it's still on 1.3.2).  I'll try and bump it in my overlay in the next few days.
Comment 3 Mike Auty (RETIRED) gentoo-dev 2011-03-01 00:58:38 UTC
Ok, this is bumped in my overlay, please let me know here if there are any problems with it.  I do not intend to move this to the main tree, or support it fulltime, so I'm going to leave the bug open and assigned to maintainer-wanted.
Comment 4 DrSlony 2011-12-25 01:27:04 UTC
Luckily I have mathmap emerged in the past and it still works fine, but it fails to compile when I try emerging it again. I have gimp 2.7.3-r1 installed now, it is masked and perhaps it is related to this mathmap emerge fail:

(...)
mathmap.c: In function ‘mathmap_dialog’:
mathmap.c:1828:3: warning: ‘gtk_source_view_set_mark_category_pixbuf’ is deprecated (declared at /usr/include/gtksourceview-2.0/gtksourceview/gtksourceview.h:194)
make -C rwimg "FORMATDEFS=-DRWIMG_JPEG -DRWIMG_PNG -DRWIMG_GIF" "CFLAGS="
make[1]: Entering directory `/var/tmp/portage/media-gfx/mathmap-1.3.5/work/mathmap-1.3.5/rwimg'
gcc  -DRWIMG_JPEG -DRWIMG_PNG -DRWIMG_GIF -g -c readimage.c
gcc  -DRWIMG_JPEG -DRWIMG_PNG -DRWIMG_GIF -g -c writeimage.c
gcc  -DRWIMG_JPEG -DRWIMG_PNG -DRWIMG_GIF -g -c rwpng.c
rwpng.c: In function ‘open_png_file_reading’:
rwpng.c:61:9: error: dereferencing pointer to incomplete type
rwpng.c:68:28: error: dereferencing pointer to incomplete type
rwpng.c:69:29: error: dereferencing pointer to incomplete type
rwpng.c:71:23: error: dereferencing pointer to incomplete type
rwpng.c:71:57: error: dereferencing pointer to incomplete type
rwpng.c:78:23: error: dereferencing pointer to incomplete type
rwpng.c:79:19: error: dereferencing pointer to incomplete type
rwpng.c:80:19: error: dereferencing pointer to incomplete type
rwpng.c:81:19: error: dereferencing pointer to incomplete type
rwpng.c:88:23: error: dereferencing pointer to incomplete type
rwpng.c: In function ‘png_read_lines’:
rwpng.c:108:9: error: dereferencing pointer to incomplete type
rwpng.c:111:23: error: dereferencing pointer to incomplete type
rwpng.c:113:28: error: dereferencing pointer to incomplete type
rwpng.c:115:28: error: dereferencing pointer to incomplete type
rwpng.c:120:23: error: dereferencing pointer to incomplete type
rwpng.c:125:48: error: dereferencing pointer to incomplete type
rwpng.c:134:36: error: dereferencing pointer to incomplete type
rwpng.c:136:31: error: dereferencing pointer to incomplete type
rwpng.c:138:36: error: dereferencing pointer to incomplete type
rwpng.c:140:31: error: dereferencing pointer to incomplete type
rwpng.c: In function ‘png_free_reader_data’:
rwpng.c:154:9: error: dereferencing pointer to incomplete type
rwpng.c: In function ‘open_png_file_writing’:
rwpng.c:183:9: error: dereferencing pointer to incomplete type
rwpng.c:191:19: error: dereferencing pointer to incomplete type
rwpng.c:192:19: error: dereferencing pointer to incomplete type
rwpng.c:193:19: error: dereferencing pointer to incomplete type
rwpng.c:194:19: error: dereferencing pointer to incomplete type
rwpng.c:195:19: error: dereferencing pointer to incomplete type
rwpng.c:196:19: error: dereferencing pointer to incomplete type
rwpng.c:197:19: error: dereferencing pointer to incomplete type
rwpng.c:198:19: error: dereferencing pointer to incomplete type
rwpng.c:199:19: error: dereferencing pointer to incomplete type
rwpng.c:200:19: error: dereferencing pointer to incomplete type
rwpng.c:201:19: error: dereferencing pointer to incomplete type
rwpng.c:202:19: error: dereferencing pointer to incomplete type
rwpng.c: In function ‘png_write_lines’:
rwpng.c:219:9: error: dereferencing pointer to incomplete type
rwpng.c:224:53: error: dereferencing pointer to incomplete type
rwpng.c:238:36: error: dereferencing pointer to incomplete type
rwpng.c: In function ‘png_free_writer_data’:
rwpng.c:260:9: error: dereferencing pointer to incomplete type
make[1]: *** [rwpng.o] Error 1
make[1]: Leaving directory `/var/tmp/portage/media-gfx/mathmap-1.3.5/work/mathmap-1.3.5/rwimg'
make: *** [librwimg] Error 2


emerge --info =media-gfx/mathmap-1.3.5
Portage 2.1.10.41 (default/linux/amd64/10.0/desktop/kde, gcc-4.5.3, glibc-2.13-r4, 3.1.4-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.1.4-gentoo-x86_64-Intel-R-_Core-TM-_i7_CPU_Q_820_@_1.73GHz-with-gentoo-2.0.3
Timestamp of tree: Thu, 22 Dec 2011 16:45:01 +0000
ccache version 3.1.6 [disabled]
app-shells/bash:          4.1_p9
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.2-r3, 3.1.4-r3
dev-util/ccache:          3.1.6
dev-util/cmake:           2.8.6-r4
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.9.4-r1::pentoo
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.4.5, 4.5.3-r1
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 2.6.39 (virtual/os-headers)
sys-libs/glibc:           2.13-r4
Repositories: gentoo x11 ikelos pentoo spring kde x-portage
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs collision-protect distlocks ebuild-locks fixlafiles news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://mirror.qubenet.net/mirror/gentoo/ http://mirrors.linuxant.fr/distfiles.gentoo.org/ http://www.mirrorservice.org/sites/www.ibiblio.org/gentoo/ http://gentoo.virginmedia.com/ http://gentoo.modulix.net/gentoo/"
LC_ALL="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/x11 /var/lib/layman/ikelos /var/lib/layman/pentoo /var/lib/layman/Spring /var/lib/layman/kde /usr/local/portage"
SYNC="rsync://rsync.uk.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 apache2 berkdb bluetooth branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups curl custom-optimization cxx d3d dbus declarative dhcpcd dirac dri dts dvd dvdr emboss enca encode exif expoblending fam ffmpeg firefox flac fontconfig fortran frei0r ftp gallium gd gdbm gdu geoip gif gpm gpu gsm hbci iconv icu iproute2 iptc ipv6 jabber java jpeg kde kipi lcms ldap lensfun libnotify mad mmx mng modules mp3 mp4 mpeg mpi msn mudflap multilib mysql ncurses networkmanager nls nptl nptlonly nsplugin nvidia ofx ogg okteta opencl opengl openmp openvpn otr pam pango pcre pdf phonon php plasma png policykit ppds pppd privacy qt3support qt4 rar raster readline romio scanner schroedinger sdl semantic-desktop session sid sip smp sms spell sse sse2 sse3 sse4 sse4_1 sse4_2 ssl ssse3 startup-notification svg sysfs tcpd theora threads tiff truetype udev unicode usb v4l v4l2 vdpau vnc vorbis wav webpresence wifi x264 xattr xcb xcomposite xinerama xml xmp xorg xscreensaver xulrunner xv xvid xvmc zlib" ALSA_CARDS="usb-audio" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nouveau nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

media-gfx/mathmap-1.3.5 was built with the following:
USE="(multilib)"
CFLAGS="-O2 -Wall"
CXXFLAGS="-O2 -Wall"
Comment 5 Mike Auty (RETIRED) gentoo-dev 2011-12-25 14:13:20 UTC
This happens with gimp-2.6.11-r6, so my guess is this is an issue with libpng14 vs libpng15.  Upstream's latest version still appears to be 1.3.5, and therefore without patches for libpng15.  I managed to dig the following patch from the Fedora build system, but unfortunately, it seems not to make any difference to the build.  I've committed it, so you can give it a try, do let me know if it works for you.

If it doesn't then I'm out of ideas, you could try contacting the mathmap authors and asking them to produce a patch/updated release...
Comment 6 Mike Auty (RETIRED) gentoo-dev 2011-12-25 14:15:02 UTC
Sorry, in case it helps, here's where the patch came from:

http://article.gmane.org/gmane.linux.redhat.fedora.extras.cvs/685669/match=mathmap
Comment 7 DrSlony 2012-01-02 22:23:54 UTC
"I managed to dig the following patch (...) I've committed it, so you can give it a try" Sorry, where do I find it? Official portage tree?
Comment 8 Mike Auty (RETIRED) gentoo-dev 2012-01-02 22:25:30 UTC
No, it's a completely unsupported ebuild still (as mentioned in comment 2), so you'll still find it in the ikelos overlay I'm afraid.  As I say, I doubt it'll have any effect on your ability to compile it...
Comment 9 DrSlony 2012-01-02 22:43:33 UTC
I just ran eix-sync && emerge mathmap and sadly it still fails with the same error.
Comment 10 DrSlony 2012-01-02 22:44:44 UTC
P.S. I have media-libs/libpng 1.2.46, 1.4.8-r2 and 1.5.7 installed.
Comment 11 DrSlony 2012-04-24 08:19:28 UTC
I've tried libpng-1.2.47, 1.2.49, 1.5.8 and 1.5.10, same problem with all.
I've also tried sed'ing the same as in your patch to a git clone of mathmap, compilation fails with the same error.

I've messaged the mathmap Google Group and will email Mark directly.
Comment 12 DrSlony 2012-04-24 20:17:34 UTC
Mark kindly fixed the issue upstream, updated rwimg, the git version compiles now with libpng-1.5.
Comment 13 DrSlony 2012-06-28 21:27:01 UTC
Bump
Comment 14 DrSlony 2013-02-09 21:19:26 UTC
Bump
Comment 15 DrSlony 2014-03-13 07:52:16 UTC
FYI, mathmap from git still builds, installs and works with Gimp from git correctly.
Comment 16 DrSlony 2014-11-18 06:53:26 UTC
Dead